/*-------------------------------------------*/
/* Integer type definitions for FatFs module */
/* "#device ansi" setting is need for PCH    */
/*-------------------------------------------*/

#ifndef _FF_INTEGER
#define _FF_INTEGER

#ifdef _WIN32	/* FatFs development platform */

#include <windows.h>
#include <tchar.h>

#else			/* Embedded platform */

/* This type MUST be 8 bit */
/* PCH */
typedef unsigned int8	FFBYTE;		// Type name "BYTE" compiles error(?).
//typedef unsigned char	BYTE;

/* These types MUST be 16 bit */
/* PCH */
typedef signed int16	SHORT;
typedef unsigned int16	WORD;
typedef unsigned int16	WCHAR;
/* Type short of PCH is int1 !
typedef short			SHORT;
typedef unsigned short	WORD;
typedef unsigned short	WCHAR;
*/

/* These types MUST be 16 bit or 32 bit */
/* PCH */
typedef signed int16	INT;
typedef unsigned int16	UINT;
/*
typedef int				INT;
typedef unsigned int	UINT;
*/

/* These types MUST be 32 bit */
/* PCH */
typedef signed int32	LONG;
typedef unsigned int32	DWORD;
/* Type long of PCH is int16.
typedef long			LONG;
typedef unsigned long	DWORD;
*/

#endif

#endif
