/* 
 * File:   user.h
 * Mp3_02c
 * 
 * Created on 2015/05/02, 8:10
 */

#ifndef USER_H
#define	USER_H

#ifdef	__cplusplus
extern "C" {
#endif

#define itoc(x)             ('0' + (x))
#define itoh(x)             ('A' + ((x) - 10))
#define itoH(x)             ((x) < 10 ? ('0' + (x)) : ('A' + ((x) - 10)))

// for copatibility with XC8(stdint.h)
typedef unsigned int8   uint8_t;
typedef unsigned int16  uint16_t;
typedef unsigned int32  uint32_t;

// vs.c
void	VS1033RESET(void);
void    VS1033VOLUME(uint8_t VOLUME);
void	VS1033COMM(uint8_t addr, uint16_t arg);
void	VS1033WRITE(uint8_t data);
void    VS1033SENDBYTE(uint8_t data);
UINT	VS1033SENDDATA(const FFBYTE *DATA, UINT br);
void    VS1033SENDZEROS(uint16_t cnt);
//uint16_t VS1033SENDDATA(const uint8_t *DATA, uint16_t br);
//uint8_t VS1033SENDDATA(uint8_t DATA[], uint16_t br);

// vs1033d-patches.c
void VS1033PATCHES(void);

// Lcd.c
void lcd_test();
void lcd_locate(unsigned char line, unsigned char column);
void lcd_println(const unsigned char *str);
void lcd_nprintln(const unsigned char *str, unsigned char n);
void lcd_i2c_init();
void lcd_icon_for_subdirectory(uint16_t numsndfile);
void lcd_icon_bt_control(uint8_t treble_control);

#ifdef	__cplusplus
}
#endif

#endif	/* USER_H */

